# HG changeset patch
# Node ID 878696244fcd
# Parent  72edc8323368
diff --git a/convey.yml b/convey.yml
--- a/convey.yml
+++ b/convey.yml
@@ -26,7 +26,7 @@
       - valgrind
       # docs
       - gplugin-docs
-      - gplugin-gtk-docs
+      - gplugin-gtk3-docs
 
   import:
     type: docker/import
@@ -71,7 +71,7 @@
     type: docker/export
     files:
       - build-docs/gplugin/reference/gplugin:gplugin-docs
-      - build-docs/gplugin-gtk/reference/gplugin-gtk:gplugin-gtk-docs
+      - build-docs/gplugin-gtk3/reference/gplugin-gtk3:gplugin-gtk3-docs
 
 plans:
   clean:
diff --git a/gplugin-gtk-viewer/data/gplugin-gtk-viewer.gresource.xml b/gplugin-gtk3-viewer/data/gplugin-gtk-viewer.gresource.xml
rename from gplugin-gtk-viewer/data/gplugin-gtk-viewer.gresource.xml
rename to gplugin-gtk3-viewer/data/gplugin-gtk-viewer.gresource.xml
diff --git a/gplugin-gtk-viewer/data/window.ui b/gplugin-gtk3-viewer/data/window.ui
rename from gplugin-gtk-viewer/data/window.ui
rename to gplugin-gtk3-viewer/data/window.ui
diff --git a/gplugin-gtk-viewer/gplugin-gtk-viewer-window.h b/gplugin-gtk3-viewer/gplugin-gtk-viewer-window.h
rename from gplugin-gtk-viewer/gplugin-gtk-viewer-window.h
rename to gplugin-gtk3-viewer/gplugin-gtk-viewer-window.h
diff --git a/gplugin-gtk-viewer/gplugin-gtk-viewer-window.c b/gplugin-gtk3-viewer/gplugin-gtk-viewer-window.c
rename from gplugin-gtk-viewer/gplugin-gtk-viewer-window.c
rename to gplugin-gtk3-viewer/gplugin-gtk-viewer-window.c
diff --git a/gplugin-gtk-viewer/gplugin-gtk-viewer.c b/gplugin-gtk3-viewer/gplugin-gtk-viewer.c
rename from gplugin-gtk-viewer/gplugin-gtk-viewer.c
rename to gplugin-gtk3-viewer/gplugin-gtk-viewer.c
diff --git a/gplugin-gtk-viewer/meson.build b/gplugin-gtk3-viewer/meson.build
rename from gplugin-gtk-viewer/meson.build
rename to gplugin-gtk3-viewer/meson.build
--- a/gplugin-gtk-viewer/meson.build
+++ b/gplugin-gtk3-viewer/meson.build
@@ -1,35 +1,35 @@
 if get_option('gtk3')
 
-if not get_option('install-gplugin-gtk-viewer')
-summary('gplugin-gtk-viewer',
+if not get_option('install-gplugin-gtk3-viewer')
+summary('gplugin-gtk3-viewer',
         'You have disabled installation of gplugin-gtk-viewer which is a ' +
         'very useful diagnostics tool.',
         section : 'Warnings')
 endif
 
-gplugin_gtk_viewer_resources = gnome.compile_resources(
+gplugin_gtk3_viewer_resources = gnome.compile_resources(
 	'gplugin-gtk-viewer-resources',
 	'data/gplugin-gtk-viewer.gresource.xml',
 	c_name: 'gplugin_gtk_viewer',
 	source_dir: 'data')
 
-gplugin_gtk_viewer = executable('gplugin-gtk-viewer',
+gplugin_gtk3_viewer = executable('gplugin-gtk3-viewer',
 	'gplugin-gtk-viewer.c',
 	'gplugin-gtk-viewer-window.c',
 	'gplugin-gtk-viewer-window.h',
-	dependencies : [gplugin_dep, gplugin_gtk_dep],
-	install : get_option('install-gplugin-gtk-viewer')
+	dependencies : [gplugin_dep, gplugin_gtk3_dep],
+	install : get_option('install-gplugin-gtk3-viewer')
 )
 
 if get_option('help2man')
-	gplugin_gtk_viewer_man = custom_target('gplugin-gtk-viewer.1',
+	gplugin_gtk_viewer_man = custom_target('gplugin-gtk3-viewer.1',
 		command : [help2man,
 		           '--name=View installed plugins', '--section=1',
 		           '--help-option=--help-all', '--no-info',
 		           '--output', '@OUTPUT@',
-		           gplugin_gtk_viewer],
-		output : 'gplugin-gtk-viewer.1',
-		install : get_option('install-gplugin-gtk-viewer'),
+		           gplugin_gtk3_viewer],
+		output : 'gplugin-gtk3-viewer.1',
+		install : get_option('install-gplugin-gtk3-viewer'),
 		install_dir : get_option('mandir') / 'man1')
 endif
 
diff --git a/gplugin-gtk/data/gplugin-gtk.gresource.xml b/gplugin-gtk3/data/gplugin-gtk.gresource.xml
rename from gplugin-gtk/data/gplugin-gtk.gresource.xml
rename to gplugin-gtk3/data/gplugin-gtk.gresource.xml
diff --git a/gplugin-gtk/data/plugin-info.ui b/gplugin-gtk3/data/plugin-info.ui
rename from gplugin-gtk/data/plugin-info.ui
rename to gplugin-gtk3/data/plugin-info.ui
diff --git a/gplugin-gtk/gplugin-gtk-plugin-info.h b/gplugin-gtk3/gplugin-gtk-plugin-info.h
rename from gplugin-gtk/gplugin-gtk-plugin-info.h
rename to gplugin-gtk3/gplugin-gtk-plugin-info.h
--- a/gplugin-gtk/gplugin-gtk-plugin-info.h
+++ b/gplugin-gtk3/gplugin-gtk-plugin-info.h
@@ -17,7 +17,7 @@
 
 #if !defined(GPLUGIN_GTK_GLOBAL_HEADER_INSIDE) && \
 	!defined(GPLUGIN_GTK_COMPILATION)
-#error "only <gplugin/gplugin-gtk.h> may be included directly"
+#error "only <gplugin-gtk.h> may be included directly"
 #endif
 
 #ifndef GPLUGIN_GTK_PLUGIN_INFO_H
diff --git a/gplugin-gtk/gplugin-gtk-plugin-info.c b/gplugin-gtk3/gplugin-gtk-plugin-info.c
rename from gplugin-gtk/gplugin-gtk-plugin-info.c
rename to gplugin-gtk3/gplugin-gtk-plugin-info.c
--- a/gplugin-gtk/gplugin-gtk-plugin-info.c
+++ b/gplugin-gtk3/gplugin-gtk-plugin-info.c
@@ -15,10 +15,12 @@
  * License along with this library; if not, see <https://www.gnu.org/licenses/>.
  */
 
+#include <glib/gi18n-lib.h>
+
 #include <gplugin.h>
-#include <gplugin-gtk/gplugin-gtk-plugin-info.h>
 
-#include <glib/gi18n-lib.h>
+#include <gplugin-gtk-plugin-info.h>
+
 
 /**
  * SECTION:gplugin-gtk-plugin-info
diff --git a/gplugin-gtk/gplugin-gtk-store.h b/gplugin-gtk3/gplugin-gtk-store.h
rename from gplugin-gtk/gplugin-gtk-store.h
rename to gplugin-gtk3/gplugin-gtk-store.h
--- a/gplugin-gtk/gplugin-gtk-store.h
+++ b/gplugin-gtk3/gplugin-gtk-store.h
@@ -17,7 +17,7 @@
 
 #if !defined(GPLUGIN_GTK_GLOBAL_HEADER_INSIDE) && \
 	!defined(GPLUGIN_GTK_COMPILATION)
-#error "only <gplugin/gplugin-gtk.h> may be included directly"
+#error "only <gplugin-gtk.h> may be included directly"
 #endif
 
 #ifndef GPLUGIN_GTK_STORE_H
diff --git a/gplugin-gtk/gplugin-gtk-store.c b/gplugin-gtk3/gplugin-gtk-store.c
rename from gplugin-gtk/gplugin-gtk-store.c
rename to gplugin-gtk3/gplugin-gtk-store.c
--- a/gplugin-gtk/gplugin-gtk-store.c
+++ b/gplugin-gtk3/gplugin-gtk-store.c
@@ -16,7 +16,8 @@
  */
 
 #include <gplugin.h>
-#include <gplugin-gtk/gplugin-gtk-store.h>
+
+#include <gplugin-gtk-store.h>
 
 /**
  * SECTION:gplugin-gtk-store
diff --git a/gplugin-gtk/gplugin-gtk-view.h b/gplugin-gtk3/gplugin-gtk-view.h
rename from gplugin-gtk/gplugin-gtk-view.h
rename to gplugin-gtk3/gplugin-gtk-view.h
--- a/gplugin-gtk/gplugin-gtk-view.h
+++ b/gplugin-gtk3/gplugin-gtk-view.h
@@ -17,7 +17,7 @@
 
 #if !defined(GPLUGIN_GTK_GLOBAL_HEADER_INSIDE) && \
 	!defined(GPLUGIN_GTK_COMPILATION)
-#error "only <gplugin/gplugin-gtk.h> may be included directly"
+#error "only <gplugin-gtk.h> may be included directly"
 #endif
 
 #ifndef GPLUGIN_GTK_VIEW_H
diff --git a/gplugin-gtk/gplugin-gtk-view.c b/gplugin-gtk3/gplugin-gtk-view.c
rename from gplugin-gtk/gplugin-gtk-view.c
rename to gplugin-gtk3/gplugin-gtk-view.c
--- a/gplugin-gtk/gplugin-gtk-view.c
+++ b/gplugin-gtk3/gplugin-gtk-view.c
@@ -16,8 +16,9 @@
  */
 
 #include <gplugin.h>
-#include <gplugin-gtk/gplugin-gtk-store.h>
-#include <gplugin-gtk/gplugin-gtk-view.h>
+
+#include <gplugin-gtk-store.h>
+#include <gplugin-gtk-view.h>
 
 /**
  * SECTION:gplugin-gtk-view
diff --git a/gplugin-gtk/gplugin-gtk.h.in b/gplugin-gtk3/gplugin-gtk.h.in
rename from gplugin-gtk/gplugin-gtk.h.in
rename to gplugin-gtk3/gplugin-gtk.h.in
diff --git a/gplugin-gtk/gplugin-gtk.xml.in b/gplugin-gtk3/gplugin-gtk3.xml.in
rename from gplugin-gtk/gplugin-gtk.xml.in
rename to gplugin-gtk3/gplugin-gtk3.xml.in
diff --git a/gplugin-gtk/meson.build b/gplugin-gtk3/meson.build
rename from gplugin-gtk/meson.build
rename to gplugin-gtk3/meson.build
--- a/gplugin-gtk/meson.build
+++ b/gplugin-gtk3/meson.build
@@ -5,57 +5,57 @@
 ###############################################################################
 GTK3 = dependency('gtk+-3.0', version : '>=3.0.0')
 
-GPLUGIN_GTK_LIBRARY_VERSION = '0.1.0'
+GPLUGIN_GTK3_LIBRARY_VERSION = '0.1.0'
 
-GPLUGIN_GTK_SOURCES = [
+GPLUGIN_GTK3_SOURCES = [
 	'gplugin-gtk-plugin-info.c',
 	'gplugin-gtk-store.c',
 	'gplugin-gtk-view.c',
 ]
 
-GPLUGIN_GTK_HEADERS = [
+GPLUGIN_GTK3_HEADERS = [
 	'gplugin-gtk-plugin-info.h',
 	'gplugin-gtk-store.h',
 	'gplugin-gtk-view.h',
 ]
 
-GPLUGIN_GTK_PRIVATE_SOURCES = [
+GPLUGIN_GTK3_PRIVATE_SOURCES = [
 ]
 
-GPLUGIN_GTK_PRIVATE_HEADERS = [
+GPLUGIN_GTK3_PRIVATE_HEADERS = [
 ]
 
-GPLUGIN_GTK_PUBLIC_BUILT_SOURCES = [
+GPLUGIN_GTK3_PUBLIC_BUILT_SOURCES = [
 ]
 
-GPLUGIN_GTK_PUBLIC_BUILT_HEADERS = [
+GPLUGIN_GTK3_PUBLIC_BUILT_HEADERS = [
 ]
 
-GPLUGIN_GTK_GENERATED_TARGETS = [
+GPLUGIN_GTK3_GENERATED_TARGETS = [
 ]
 
 ###############################################################################
 # Configure Files
 ###############################################################################
-GPLUGIN_GTK_H_INCLUDES = ''
-foreach header : GPLUGIN_GTK_HEADERS
-	GPLUGIN_GTK_H_INCLUDES = '@0@\n#include <gplugin-gtk/@1@>'.format(
-		GPLUGIN_GTK_H_INCLUDES,
+GPLUGIN_GTK3_H_INCLUDES = ''
+foreach header : GPLUGIN_GTK3_HEADERS
+	GPLUGIN_GTK3_H_INCLUDES = '@0@\n#include <@1@>'.format(
+		GPLUGIN_GTK3_H_INCLUDES,
 		header)
 endforeach
 
 conf = configuration_data()
-conf.set('GPLUGIN_GTK_H_INCLUDES', GPLUGIN_GTK_H_INCLUDES)
-gplugin_gtk_h = configure_file(
+conf.set('GPLUGIN_GTK_H_INCLUDES', GPLUGIN_GTK3_H_INCLUDES)
+gplugin_gtk3_h = configure_file(
 	input : 'gplugin-gtk.h.in',
 	output : 'gplugin-gtk.h',
 	configuration : conf,
 	install : true,
-	install_dir : get_option('includedir') / 'gplugin-1.0')
+	install_dir : get_option('includedir') / 'gplugin-gtk3-1.0')
 
-gplugin_gtk_xml = configure_file(
-	input : 'gplugin-gtk.xml.in',
-	output: 'gplugin-gtk.xml',
+gplugin_gtk3_xml = configure_file(
+	input : 'gplugin-gtk3.xml.in',
+	output: 'gplugin-gtk3.xml',
 	configuration : version_conf,
 	install: true,
 	install_dir : get_option('datadir') / 'glade' / 'catalogs',
@@ -64,8 +64,8 @@
 ###############################################################################
 # Resource Target
 ###############################################################################
-gplugin_gtk_resources = gnome.compile_resources(
-	'gplugin-gtk-resources',
+gplugin_gtk3_resources = gnome.compile_resources(
+	'gplugin-gtk3-resources',
 	'data/gplugin-gtk.gresource.xml',
 	c_name: 'gplugin_gtk',
 	source_dir: 'data')
@@ -73,68 +73,67 @@
 ###############################################################################
 # Library Target
 ###############################################################################
-gplugin_gtk = shared_library('gplugin-gtk',
-	GPLUGIN_GTK_SOURCES,
-	GPLUGIN_GTK_HEADERS,
-	GPLUGIN_GTK_PRIVATE_SOURCES,
-	GPLUGIN_GTK_PRIVATE_HEADERS,
-	GPLUGIN_GTK_PUBLIC_BUILT_SOURCES,
-	GPLUGIN_GTK_PUBLIC_BUILT_HEADERS,
-	gplugin_gtk_resources,
+gplugin_gtk3 = shared_library('gplugin-gtk3',
+	GPLUGIN_GTK3_SOURCES,
+	GPLUGIN_GTK3_HEADERS,
+	GPLUGIN_GTK3_PRIVATE_SOURCES,
+	GPLUGIN_GTK3_PRIVATE_HEADERS,
+	GPLUGIN_GTK3_PUBLIC_BUILT_SOURCES,
+	GPLUGIN_GTK3_PUBLIC_BUILT_HEADERS,
+	gplugin_gtk3_resources,
 	c_args : ['-DGPLUGIN_GTK_COMPILATION', '-DG_LOG_DOMAIN="GPluginGtk"'],
 	include_directories : toplevel_inc,
 	dependencies : [gplugin_dep, GTK3],
-	version : GPLUGIN_GTK_LIBRARY_VERSION,
+	version : GPLUGIN_GTK3_LIBRARY_VERSION,
 	install : true
 )
 
-gplugin_gtk_inc = include_directories('.')
+gplugin_gtk3_inc = include_directories('.')
 
 pkgconfig.generate(
-	gplugin_gtk,
-	name : 'gplugin-gtk',
-	description : 'Gtk widgets for GPlugin',
-	filebase : 'gplugin-gtk',
-	subdirs : 'gplugin-1.0',
+	gplugin_gtk3,
+	name : 'gplugin-gtk3',
+	description : 'Gtk3 widgets for GPlugin',
+	filebase : 'gplugin-gtk3',
+	subdirs : 'gplugin-gtk3-1.0',
 	libraries : [gplugin],
-	requires : [GLIB, GOBJECT, GMODULE],
-	variables : [
-		'plugindir=${libdir}',
-	],
+	requires : [GLIB, GOBJECT, GMODULE, GTK3],
 )
 
 ###############################################################################
 # GObject Introspection
 ###############################################################################
 if get_option('introspection')
-	gplugin_gtk_gir = gnome.generate_gir(
-		gplugin_gtk,
-		sources : GPLUGIN_GTK_SOURCES + GPLUGIN_GTK_HEADERS +
-		          GPLUGIN_GTK_PUBLIC_BUILT_SOURCES +
-		          GPLUGIN_GTK_PUBLIC_BUILT_HEADERS,
+	gplugin_gtk3_gir = gnome.generate_gir(
+		gplugin_gtk3,
+		sources : GPLUGIN_GTK3_SOURCES + GPLUGIN_GTK3_HEADERS +
+		          GPLUGIN_GTK3_PUBLIC_BUILT_SOURCES +
+		          GPLUGIN_GTK3_PUBLIC_BUILT_HEADERS,
 		includes : [gplugin_gir[0], 'Gtk-3.0'],
-		namespace : 'GPluginGtk',
-		symbol_prefix : 'gplugin_gtk',
+		namespace : 'GPluginGtk3',
 		nsversion : '1.0',
+		symbol_prefix : 'gplugin_gtk',
+		identifier_prefix : 'GPluginGtk',
 		install : true,
-		export_packages: ['gplugin-gtk'],
+		header : 'gplugin-gtk.h',
+		export_packages: ['gplugin-gtk3'],
 		dependencies : [gplugin_dep],
 		extra_args : ['--quiet', '-DGPLUGIN_GTK_COMPILATION'])
-	GPLUGIN_GTK_GENERATED_TARGETS += gplugin_gtk_gir
+	GPLUGIN_GTK3_GENERATED_TARGETS += gplugin_gtk3_gir
 endif
 
 ###############################################################################
 # Library Dependency Object
 ###############################################################################
-gplugin_gtk_dep = declare_dependency(
-	include_directories: [toplevel_inc, gplugin_gtk_inc],
-	link_with : [gplugin, gplugin_gtk],
-	sources : GPLUGIN_GTK_PUBLIC_BUILT_HEADERS + GPLUGIN_GTK_GENERATED_TARGETS,
+gplugin_gtk3_dep = declare_dependency(
+	include_directories: [toplevel_inc, gplugin_gtk3_inc],
+	link_with : [gplugin, gplugin_gtk3],
+	sources : GPLUGIN_GTK3_PUBLIC_BUILT_HEADERS + GPLUGIN_GTK3_GENERATED_TARGETS,
 	dependencies : [GLIB, GOBJECT, GTK3],
 )
 
 if meson.version().version_compare('>=0.54.0')
-	meson.override_dependency('gplugin-gtk', gplugin_gtk_dep)
+	meson.override_dependency('gplugin-gtk3', gplugin_gtk3_dep)
 endif
 
 ###############################################################################
@@ -142,8 +141,8 @@
 ###############################################################################
 # install the normal includes into the gplugin-gtk subdirectory
 install_headers(
-	GPLUGIN_GTK_HEADERS,
-	subdir : 'gplugin-1.0/gplugin-gtk'
+	GPLUGIN_GTK3_HEADERS,
+	subdir : 'gplugin-gtk3-1.0/gplugin-gtk'
 )
 
 ###############################################################################
diff --git a/gplugin-gtk/reference/gplugin-gtk.toml.in b/gplugin-gtk3/reference/gplugin-gtk3.toml.in
rename from gplugin-gtk/reference/gplugin-gtk.toml.in
rename to gplugin-gtk3/reference/gplugin-gtk3.toml.in
diff --git a/gplugin-gtk/reference/meson.build b/gplugin-gtk3/reference/meson.build
rename from gplugin-gtk/reference/meson.build
rename to gplugin-gtk3/reference/meson.build
--- a/gplugin-gtk/reference/meson.build
+++ b/gplugin-gtk3/reference/meson.build
@@ -1,15 +1,15 @@
 if get_option('doc')
 	gplugin_gtk_toml = configure_file(
-		input : 'gplugin-gtk.toml.in',
-		output : 'gplugin-gtk.toml',
+		input : 'gplugin-gtk3.toml.in',
+		output : 'gplugin-gtk3.toml',
 		configuration : version_conf,
 		install : true,
-		install_dir : docs_dir / 'gplugin-gtk',
+		install_dir : docs_dir / 'gplugin-gtk3',
 	)
 
-	gplugin_gtk_doc = custom_target('gplugin-gtk-doc',
-		input : [ gplugin_gtk_toml, gplugin_gtk_gir[0] ],
-		output : 'gplugin-gtk',
+	gplugin_gtk3_doc = custom_target('gplugin-gtk3-doc',
+		input : [ gplugin_gtk_toml, gplugin_gtk3_gir[0] ],
+		output : 'gplugin-gtk3',
 		command : [
 			gidocgen,
 			'generate',
diff --git a/gplugin-gtk/reference/urlmap.js b/gplugin-gtk3/reference/urlmap.js
rename from gplugin-gtk/reference/urlmap.js
rename to gplugin-gtk3/reference/urlmap.js
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -101,8 +101,8 @@
 # Subdirectories
 ###############################################################################
 subdir('gplugin')
-subdir('gplugin-gtk')
-subdir('gplugin-gtk-viewer')
+subdir('gplugin-gtk3')
+subdir('gplugin-gtk3-viewer')
 subdir('gplugin-query')
 subdir('packaging')
 subdir('po')
@@ -117,7 +117,7 @@
 if get_option('doc')
 	doc_targets = [gplugin_doc]
 	if get_option('gtk3')
-		doc_targets += gplugin_gtk_doc
+		doc_targets += gplugin_gtk3_doc
 	endif
 
 	alias_target('doc', doc_targets)
diff --git a/meson_options.txt b/meson_options.txt
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -23,9 +23,9 @@
 )
 
 option(
-	'install-gplugin-gtk-viewer',
+	'install-gplugin-gtk3-viewer',
 	type : 'boolean', value : true,
-	description : 'Whether or not to install the gtk viewer application'
+	description : 'Whether or not to install the gtk3 viewer application'
 )
 
 option(
diff --git a/packaging/debian/changelog b/packaging/debian/changelog
--- a/packaging/debian/changelog
+++ b/packaging/debian/changelog
@@ -1,3 +1,12 @@
+gplugin (0.35.0) UNRELEASED; urgency=medium
+
+  * Renamed gir1.2-gplugin-gtk-1.0 to gir1.2-gplugin-gtk3-1.0
+  * Renamed libgplugin-gtk-bin to libgplugin-gtk3-bin
+  * Renamed libgplugin-gtk-dev to libgplugin-gtk3-dev
+  * Renamed libgplugin-gtk0 to libgplugin-gtk3-0
+
+ -- Gary Kramlich <grim@reaperworld.com>  Wed, 29 Sep 2021 23:35:01 -0500
+
 gplugin (0.28.3) unstable; urgency=medium
 
   * New upstream release, see official changelog
diff --git a/packaging/debian/control b/packaging/debian/control
--- a/packaging/debian/control
+++ b/packaging/debian/control
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gary Kramlich <grim@reaperworld.com>
 Build-Depends: debhelper (>=9),
-               meson (>=0.37.0), libglib2.0-dev, libgtk-3-dev,
+               meson (>=0.56.0), libglib2.0-dev, libgtk-3-dev,
                gettext, help2man,
                gobject-introspection, libgirepository1.0-dev,
                liblua5.3-dev, lua-lgi,
@@ -60,37 +60,43 @@
  .
  This package will install all of the gplugin loaders.
 
-Package: libgplugin-gtk0
+Package: libgplugin-gtk3-0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libgtk-3-0, libgplugin0
-Description: GTK+3 bindings for GPlugin
+Conflicts: libgplugin-gtk0
+Replaces: libgplugin-gtk0
+Provides: libgplugin-gtk0
+Description: GTK3 bindings for GPlugin
  GPlugin is a GObject based library that implements a reusable plugin system
  which supports loading plugins in other languages via loaders. It relies
  heavily on GObjectIntrospection to expose its API to the other languages.
  .
- This library provides some default GTK+-3 widgets for GPlugin.
+ This library provides some default GTK3 widgets for GPlugin.
 
-Package: libgplugin-gtk-dev
+Package: libgplugin-gtk3-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libgtk-3-dev, libgplugin-gtk0 (= ${binary:Version})
-Description: Development file for libgplugin-gtk
+Depends: ${misc:Depends}, libgtk-3-dev, libgplugin-gtk3-0 (= ${binary:Version})
+Conflicts: libgplugin-gtk-dev
+Replaces: libgplugin-gtk-dev
+Description: Development file for libgplugin-gtk3-0
  GPlugin is a GObject based library that implements a reusable plugin system
  which supports loading plugins in other languages via loaders. It relies
  heavily on GObjectIntrospection to expose its API to the other languages.
  .
- This library provides the developmental headers for the GPlugin GTK+-3
- bindings.
+ This library provides the developmental headers for the GPlugin GTK3 bindings.
 
-Package: libgplugin-gtk-bin
+Package: libgplugin-gtk3-bin
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libgplugin-gtk0
-Description: Programs for the GTK+ interface to GPlugin
+Conflicts: libgplugin-gtk-bin
+Replaces: libgplugin-gtk-bin
+Description: Programs for the GTK3 interface to GPlugin
  GPlugin is a GObject based library that implements a reusable plugin system
  which supports loading plugins in other languages via loaders. It relies
  heavily on GObjectIntrospection to expose its API to the other languages.
  .
- This package contains the gplugin-gtk-viewer application for viewing plugins.
+ This package contains the gplugin-gtk3-viewer application for viewing plugins.
 
 Package: gir1.2-gplugin-1.0
 Architecture: any
@@ -104,9 +110,11 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings for libgplugin.
 
-Package: gir1.2-gplugin-gtk-1.0
+Package: gir1.2-gplugin-gtk3-1.0
 Architecture: any
-Depends: ${gir:Depends}, ${misc:Depends}, libgplugin0
+Depends: ${gir:Depends}, ${misc:Depends}, libgplugin0, libgplugin-gtk3-0
+Conflicts: gir1.2-gplugin-gtk-1.0
+Replaces: gir1.2-gplugin-gtk-1.0
 Section: introspection
 Description: typelibe for libgplugin
  GPlugin is a GObject based library that implements a reusable plugin system
@@ -114,12 +122,12 @@
  heavily on GObjectIntrospection to expose its API to the other languages.
  .
  This package can be used by other packages using the GIRepository format to
- generate dynamic bindings for libgplugin-gtk.
+ generate dynamic bindings for libgplugin-gtk3.
 
 Package: libgplugin-lua
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, liblua5.1-0,
-         libgplugin0, gir1.2-gplugin-0.0
+         libgplugin0, gir1.2-gplugin-1.0
 Description: GPlugin Lua Loader
  GPlugin is a GObject based library that implements a reusable plugin system
  which supports loading plugins in other languages via loaders. It relies
@@ -131,7 +139,7 @@
 Package: libgplugin-python3
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, python3, python3-gi,
-         libgplugin0, gir1.2-gplugin-0.0
+         libgplugin0, gir1.2-gplugin-1.0
 Description: GPlugin Python3 Loader
  GPlugin is a GObject based library that implements a reusable plugin system
  which supports loading plugins in other languages via loaders. It relies
@@ -143,7 +151,7 @@
 Package: libgplugin-perl5
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, perl, libglib-perl,
-         libglib-object-introspection-perl, libgplugin0, gir1.2-gplugin-0.0
+         libglib-object-introspection-perl, libgplugin0, gir1.2-gplugin-1.0
 Description: GPlugin Perl5 Loader
  GPlugin is a GObject based library that implements a reusable plugin system
  which supports loading plugins in other languages via loaders. It relies
diff --git a/packaging/debian/gir1.2-gplugin-gtk-1.0.install b/packaging/debian/gir1.2-gplugin-gtk3-1.0.install
rename from packaging/debian/gir1.2-gplugin-gtk-1.0.install
rename to packaging/debian/gir1.2-gplugin-gtk3-1.0.install
--- a/packaging/debian/gir1.2-gplugin-gtk-1.0.install
+++ b/packaging/debian/gir1.2-gplugin-gtk3-1.0.install
@@ -1,1 +1,1 @@
-debian/tmp/usr/lib/*/girepository-1.0/GPluginGtk-1.0.typelib
+debian/tmp/usr/lib/*/girepository-1.0/GPluginGtk3-1.0.typelib
diff --git a/packaging/debian/libgplugin-gtk-bin.install b/packaging/debian/libgplugin-gtk3-bin.install
rename from packaging/debian/libgplugin-gtk-bin.install
rename to packaging/debian/libgplugin-gtk3-bin.install
--- a/packaging/debian/libgplugin-gtk-bin.install
+++ b/packaging/debian/libgplugin-gtk3-bin.install
@@ -1,2 +1,2 @@
-debian/tmp/usr/bin/gplugin-gtk-viewer
-debian/tmp/usr/share/man/man1/gplugin-gtk-viewer.1
+debian/tmp/usr/bin/gplugin-gtk3-viewer
+debian/tmp/usr/share/man/man1/gplugin-gtk3-viewer.1
diff --git a/packaging/debian/libgplugin-gtk-dev.install b/packaging/debian/libgplugin-gtk3-dev.install
rename from packaging/debian/libgplugin-gtk-dev.install
rename to packaging/debian/libgplugin-gtk3-dev.install
--- a/packaging/debian/libgplugin-gtk-dev.install
+++ b/packaging/debian/libgplugin-gtk3-dev.install
@@ -1,7 +1,7 @@
-usr/include/gplugin-1.0/gplugin-gtk
-usr/include/gplugin-1.0/gplugin-gtk.h
-debian/tmp/usr/lib/*/libgplugin-gtk.so
-debian/tmp/usr/lib/*/pkgconfig/gplugin-gtk.pc
-debian/tmp/usr/share/gir-1.0/GPluginGtk-1.0.gir
-debian/tmp/usr/share/vala/vapi/gplugin-gtk.deps
-debian/tmp/usr/share/vala/vapi/gplugin-gtk.vapi
\ No newline at end of file
+usr/include/gplugin-gtk3-1.0/gplugin-gtk
+usr/include/gplugin-gtk3-1.0/gplugin-gtk.h
+debian/tmp/usr/lib/*/libgplugin-gtk3.so
+debian/tmp/usr/lib/*/pkgconfig/gplugin-gtk3.pc
+debian/tmp/usr/share/gir-1.0/GPluginGtk3-1.0.gir
+debian/tmp/usr/share/vala/vapi/gplugin-gtk3.deps
+debian/tmp/usr/share/vala/vapi/gplugin-gtk3.vapi
diff --git a/packaging/debian/libgplugin-gtk0.install b/packaging/debian/libgplugin-gtk3-0.install
rename from packaging/debian/libgplugin-gtk0.install
rename to packaging/debian/libgplugin-gtk3-0.install
--- a/packaging/debian/libgplugin-gtk0.install
+++ b/packaging/debian/libgplugin-gtk3-0.install
@@ -1,1 +1,1 @@
-debian/tmp/usr/lib/*/libgplugin-gtk.so.*
+debian/tmp/usr/lib/*/libgplugin-gtk3.so.*
diff --git a/packaging/debian/libgplugin-gtk0.triggers b/packaging/debian/libgplugin-gtk3-0.triggers
rename from packaging/debian/libgplugin-gtk0.triggers
rename to packaging/debian/libgplugin-gtk3-0.triggers
diff --git a/packaging/gplugin.spec.in b/packaging/gplugin.spec.in
--- a/packaging/gplugin.spec.in
+++ b/packaging/gplugin.spec.in
@@ -10,7 +10,7 @@
 Url:		https://keep.imfreedom.org/rw_grim/gplugin/overview
 Group:		Development/Libraries
 
-BuildRequires:	meson >= 0.37.0
+BuildRequires:	meson >= 0.56.0
 BuildRequires:	glib2-devel >= 2.44.0
 BuildRequires:	gobject-introspection-devel
 BuildRequires:	gettext
@@ -188,35 +188,36 @@
 %{_libdir}/girepository-1.0/GPlugin-1.0.typelib
 %{_libdir}/libgplugin.so
 %{_libdir}/libgplugin.so.0
-%{_libdir}/pkgconfig/gplugin-gtk.pc
 %{_libdir}/pkgconfig/gplugin.pc
 
 %files gtk3
 %defattr(-,root,root)
 %doc README.md
 %license COPYING
-%{_bindir}/gplugin-gtk-viewer
-%{_libdir}/libgplugin-gtk.so.0.1.0
-%{_mandir}/man1/gplugin-gtk-viewer.1*
+%{_bindir}/gplugin-gtk3-viewer
+%{_libdir}/libgplugin-gtk3.so.0.1.0
+%{_mandir}/man1/gplugin-gtk3-viewer.1*
 
 %files gtk3-devel
 %defattr(-,root,root)
 %dir %{_datadir}/glade/catalogs/
 %doc README.md
 %license COPYING
-%{_datadir}/gir-1.0/GPluginGtk-1.0.gir
-%{_datadir}/glade/catalogs/gplugin-gtk.xml
-%{_datadir}/doc/gplugin-gtk/
-%{_libdir}/girepository-1.0/GPluginGtk-1.0.typelib
-%{_libdir}/libgplugin-gtk.so
-%{_libdir}/libgplugin-gtk.so.0
+%{_datadir}/gir-1.0/GPluginGtk3-1.0.gir
+%{_datadir}/glade/catalogs/gplugin-gtk3.xml
+%{_datadir}/doc/gplugin-gtk3/
+%{_includedir}/gplugin-gtk3-1.0/
+%{_libdir}/girepository-1.0/GPluginGtk3-1.0.typelib
+%{_libdir}/libgplugin-gtk3.so
+%{_libdir}/libgplugin-gtk3.so.0
+%{_libdir}/pkgconfig/gplugin-gtk3.pc
 
 %files gtk3-vala
 %defattr(-,root,root)
 %doc README.md
 %license COPYING
-%{_datadir}/vala/vapi/gplugin-gtk.vapi
-%{_datadir}/vala/vapi/gplugin-gtk.deps
+%{_datadir}/vala/vapi/gplugin-gtk3.vapi
+%{_datadir}/vala/vapi/gplugin-gtk3.deps
 
 %files lua
 %defattr(-,root,root)
@@ -244,6 +245,11 @@
 %{_datadir}/vala/vapi/gplugin.deps
 
 %changelog
+* Wed Sep 29 2021 Gary Kramlich <grim@reaperworld.com>
+- Renamed gplugin-gtk to gplugin-gtk3
+- Renamed gplugin-gtk-devel to gplugin-gtk3-devel
+- Renamed gplugin-gtk-vala to gplugin-gtk3-vala
+
 * Thu Sep 02 2021 Gary Kramlich <grim@reaperworld.com>
 - Update the devel packages for gi-docgen
 
diff --git a/vala/meson.build b/vala/meson.build
--- a/vala/meson.build
+++ b/vala/meson.build
@@ -8,12 +8,11 @@
 	gplugin_vapi = gnome.generate_vapi('gplugin',
 		sources : gplugin_gir[0],
 		install : true,
-		gir_dirs : meson.current_build_dir() / '..' / 'gplugin',
 	)
 
 	if get_option('gtk3')
-		gplugin_gtk_vapi = gnome.generate_vapi('gplugin-gtk',
-			sources : gplugin_gtk_gir[0],
+		gplugin_gtk_vapi = gnome.generate_vapi('gplugin-gtk3',
+			sources : gplugin_gtk3_gir[0],
 			packages : [ 'gtk+-3.0' ],
 			install : true,
 			gir_dirs : meson.current_build_dir() / '..' / 'gplugin',
